/*CSS RESET - is used to 0 the default margins and paddings of all elements

*/
* {
	margin:  0;
	padding: 0;
}

body {
	font-family: "open sans", sans-serif;
}

nav {
	padding: 0.8rem; /*  .8 x 16px(default font size) = 12.8px*  */
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
}

nav .nav, nav .nav-logo {
	margin: 0.5rem;
	/*  display property will allow us to change how elements are displayed.
	li, by default, is block. But, with display property we can change it to inline.
	*/
	display: inline;

}

/*intro section*/
#intro {
	/*percentage as measurements are good pratcice for mobile responsiveness. Since the body occupies the full width of the screen, the percentage's size will adjust according to the screen.*/
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}

#intro button {
	color: white;
	/*font weight - allows us to determine the thickness of the text*/
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

/*info section*/
#succeed-info {
	/*
	padding/margin shorthand: 

	padding:  value = all sides
	padding:  top x-axis(left and right side) bottom; = 3 values
	padding:  y-axis (top and bottom) x-axis(left and right side); 2 values
	padding:  top right bottom left; 4 values
	*/
	padding: 2rem 10% 3rem;
}

#succeed-info h2 {
	margin-bottom: 1rem;
}

#succeed-info .card {
	display: inline-block;
	width: 30%;
	vertical-align: top;
	
	/* min height will determine a minimum height for the element. That if the content's height does not reach our minimum-height, the minimum-height will be employed as the height of your element/ */
	min-height: 175px;
}

#succeed-info h3 {
	text-align: center;
	margin-bottom: 1rem;
}

/* pre-footer */
/*
	Mini- Activity

	Style the pre-footer section by first selecting the section using its id.
		-add a padding on all sides at 1rem
		-add a background color with the following hex decimal:  #002540;
		-add a white color for the text in the pre-footer section

	Select all the div that is a child of #pre-footer
		-display the divs beside each other but with the ability to set its width or height.
		-add width at 20% of its parents width
*/


/* PRE FOOTER */
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}
#pre-footer h3 {
	text-align: left;
}

#pre-footer > div {
	display: inline-block;
	width: 20%;
	vertical-align: top;
}

#pre-footer > div > * {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}



/* FOOTER */
footer {
	padding: .7;
}
footer > span {
	margin-right: .5;
	margin-left: .5;
}